Bug 74119 - A patch to help external modules
A patch to help external modules
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-16 10:50 EDT by hjl
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 11:36:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to help external modules. (2.77 KB, patch)
2002-09-16 10:51 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2002-09-16 10:50:27 EDT
Right now, it is very hard to use the same
kernel compiler flags to compile an external
module. I am uploading a patch to help. With
that patch, I can use a Makefile like:

---
#
# Makefile for the Intel's E100 ethernet driver
#

obj-$(CONFIG_NET_E100) += e100.o

e100-objs := e100_main.o e100_config.o e100_proc.o e100_phy.o \
             e100_eeprom.o e100_test.o

ifdef VERSION
include $(TOPDIR)/Rules.make

e100.o: $(e100-objs)
        $(LD) -r -o $@ $(e100-objs)
else
LINUXDIR=/lib/modules/$(shell uname -r)/build
CONFIGFILE=configs/kernel-2.4.18-i686.config

modules dep:
         $(MAKE) -C $(LINUXDIR) CONFIGFILE=$(CONFIGFILE) SUBDIRS=`pwd` $@

clean:
        rm -f *.[oas] .*.flags .depend
endif
---

to compile e100 against the running kernel for i686. I can
change LINUXDIR and CONFIGFILE by hand for other kernel source
trees or machines.
Comment 1 hjl 2002-09-16 10:51:30 EDT
Created attachment 76244 [details]
A patch to help external modules.
Comment 2 Bill Nottingham 2003-02-19 11:36:41 EST
This is fixed better in current kernels.

Note You need to log in before you can comment on or make changes to this bug.